/*
 * This Software (C) Copyright David Goodwin, 2008, 2009.
 * 
 *   This is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 * 
 *  This software is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 * 
 *  You should have received a copy of the GNU General Public License
 *  along with this software; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package iasel.data;

/** Results table entry.
 *
 * @author David
 */
public class REntry {
    public String Filename;
    public String Tag;
    public Integer FramePixels;
    public Integer SelectedPixels;
    public Double SelectedPercentage;
    public Double SelectedArea;
    public String AreaType;

    public Object[] getData() {
        Object[] data = new Object[7];
        data[0] = Filename;
        data[1] = Tag;
        data[2] = FramePixels;
        data[3] = SelectedPixels;
        data[4] = SelectedPercentage;
        data[5] = SelectedArea;
        data[6] = AreaType;
        return data;
    }
}